.\"	$NetBSD: ast.4,v 1.11 2003/08/07 10:31:01 agc Exp $
.\"
.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dca.4	5.2 (Berkeley) 3/27/91
.\"	from: Id: com.4,v 1.1 1993/08/06 11:19:07 cgd Exp
.\"
.Dd March 30, 1994
.Dt AST 4
.Os
.Sh NAME
.Nm ast
.Nd
multiplexing serial communications interface
.Sh SYNOPSIS
.Cd "ast0 at isa? port 0x1a0 irq 5"
.Cd "com2 at ast? slave ?"
.Cd "com3 at ast? slave ?"
.Cd "com4 at ast? slave ?"
.Cd "com5 at ast? slave ?"
.Sh DESCRIPTION
The
.Nm ast
driver provides support for boards that multiplex together up to four
.Tn EIA
.Tn RS-232C
.Pf ( Tn CCITT
.Tn V.28 )
communications interfaces.
Apparently the original maker of hardware
using this multiplexing protocol was AST.
.Pp
Each
.Nm
device is the master device for up to four
.Nm com
devices.
The kernel configuration specifies these
.Nm com
devices as slave devices of the
.Nm
device, as shown in the synopsis.
The slave ID given for each
.Nm com
device determines which bit in the interrupt multiplexing register is
tested to find interrupts for that device.
The
.Tn port
specification for the
.Nm
device is used to compute the base addresses for the
.Nm com
subdevices and the port for the interrupt multiplexing register.
.Sh FILES
.Bl -tag -width Pa
.It Pa /dev/tty0?
.El
.Sh SEE ALSO
.Xr com 4
.Sh HISTORY
The
.Nm
driver was written by Roland McGrath and placed into the public
domain.
